Imagick::compareImageLayers
Imagick::compositeImage
Imagick
PHP Manual

# Imagick::compareImages

(PECL imagick 2.0.0)

Imagick::compareImages — Compares an image to a reconstructed image

### Description

array Imagick::compareImages ( Imagick `$compare` , int `$metric` )

Returns an array containing a reconstructed image and the difference between images.

### Parameters

`compare`

  An image to compare to.

`metric`

  Provide a valid metric type constant. Refer to this list of metric constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Using Imagick::compareImages():

Compare images and display the reconstructed image

`<?php
$image1 = new imagick("image1.png");
$image2 = new imagick("image2.png");
$result = $image1->compareImages($image2, Imagick::METRIC_MEANSQUAREERROR);
$result[0]->setImageFormat("png");
header("Content-Type: image/png");
echo $result[0];
?>`

Imagick::compareImageLayers
Imagick::compositeImage
Imagick
PHP Manual